Name: xwine
Version: 0.3.1r1
Release: 1mdk
Summary: Graphical User Interface for the wine emulator
Source: http://darken.tuxfamily.org/projets/XWine-%{version}_en.tar.bz2
Source1: xwine-16.png.bz2
Source2: xwine-32.png.bz2
Source3: xwine-48.png.bz2
Patch1: XWine-fixes.patch.bz2
License: GPL
Group: Emulators
URL: http://darken.tuxfamily.org/pages/xwine_en.html
requires: wine
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildRequires: libgnome32-devel
#BuildRequires: libgtk+1.2-devel
#Do not think it makes sense to build this on other arches:
ExclusiveArch: %{ix86}

%description 
XWine is a graphical user interface for the wine emulator.
You can configure and run Ms-Windows applications.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -n XWine-%{version}_en
%patch1 -p1 -b .danny
bzcat -f %{SOURCE1} > pixmaps/xwine.png
bzcat %{SOURCE2} > xwine-32.png
bzcat %{SOURCE3} > xwine-48.png

%build
#we use $BROWSER, so disable the interactive configure:
#cp -f configure.d configure
#cp -f src/donnees.h.in donnees.h

%configure
%make

%install
%makeinstall

# icons
install -D -m 644 xwine-48.png $RPM_BUILD_ROOT%{_liconsdir}/xwine.png
install -D -m 644 xwine-32.png $RPM_BUILD_ROOT%{_iconsdir}/xwine.png
install -D -m 644 pixmaps/xwine.png $RPM_BUILD_ROOT%{_miconsdir}/xwine.png

(cd $RPM_BUILD_ROOT
install -d -m 755 $RPM_BUILD_ROOT%{_menudir}
cat > ./usr/lib/menu/%{name} <<EOF
?package(%{name}):command="%{_bindir}/xwine"\
	icon="xwine.png" \
	title="XWine"\
	longtitle="Configure wine"\
	needs="x11"\
	section="Applications/Emulators"
EOF
)

rm -Rf %{buildroot}/%{_datadir}/doc/xwine

%post
%{update_menus}
 
%postun
%{clean_menus}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%_bindir/xwine
%_datadir/pixmaps/xwine
%{_miconsdir}/xwine.png
%{_liconsdir}/xwine.png
%{_iconsdir}/xwine.png
%_menudir/*
%doc doc/*

%changelog
* Fri Jun 20 2003 Danny Tholen <obiwan@mailmij.org> 0.3.1r1-1mdk
- new version
- lower case name is better

* Sun May 25 2003 Danny Tholen <obiwan@mailmij.org> 0.3.1-1mdk
- New version, some patches were accepted upstream
- Menu entry moved to Applications/Emulators
- Some new language and path fixes

* Sun Feb 9 2003 Austin Acton <aacton@yorku.ca> 0.3-1mdk
- from Danny Tholen <obiwan@mailmij.org>
  - First mdk release
  - hack for using environment var. BROWSER (patch1)
  - patch check for wine (patch2)
  - replace icon with wine icon (original could be trademarked?)
  - fix segfaults, hardcoded doc path, icon and various english translations (patch3)
